Tp::BaseChannelCaptchaAuthenticationInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseChannelCaptchaAuthenticationInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.CaptchaAuthentication. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback4< void, Tp::CaptchaInfoList &, uint &, QString &, DBusError * > | GetCaptchasCallback
typedef Callback3< QByteArray, uint, const QString &, DBusError * > | GetCaptchaDataCallback
typedef Callback2< void, const Tp::CaptchaAnswers &, DBusError * > | AnswerCaptchasCallback
typedef Callback3< void, uint, const QString &, DBusError * > | CancelCaptchaCallback

## Public Member Functions
virtual | ~BaseChannelCaptchaAuthenticationInterface ()
QVariantMap | immutableProperties () const
void | setGetCaptchasCallback (const GetCaptchasCallback &cb)
void | setGetCaptchaDataCallback (const GetCaptchaDataCallback &cb)
void | setAnswerCaptchasCallback (const AnswerCaptchasCallback &cb)
void | setCancelCaptchaCallback (const CancelCaptchaCallback &cb)
void | setCaptchaStatus (uint status)
void | setCaptchaError (const QString &busName)
void | setCaptchaErrorDetails (const QVariantMap &error)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelCaptchaAuthenticationInterfacePtr | create (bool canRetryCaptcha)
template<typename BaseChannelCaptchaAuthenticationInterfaceSubclass >
static SharedPtr < BaseChannelCaptchaAuthenticationInterfaceSubclass > | create (bool canRetryCaptcha)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.CaptchaAuthentication.

## Member Typedef Documentation

typedef Callback4<void, Tp::CaptchaInfoList&, uint&, QString&, DBusError*> Tp::BaseChannelCaptchaAuthenticationInterface::GetCaptchasCallback

typedef Callback3<QByteArray, uint, const QString&, DBusError*> Tp::BaseChannelCaptchaAuthenticationInterface::GetCaptchaDataCallback

typedef Callback2<void, const Tp::CaptchaAnswers&, DBusError*> Tp::BaseChannelCaptchaAuthenticationInterface::AnswerCaptchasCallback

typedef Callback3<void, uint, const QString&, DBusError*> Tp::BaseChannelCaptchaAuthenticationInterface::CancelCaptchaCallback

## Constructor & Destructor Documentation

Tp::BaseChannelCaptchaAuthenticationInterface::~BaseChannelCaptchaAuthenticationInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseChannelCaptchaAuthenticationInterfacePtr Tp::BaseChannelCaptchaAuthenticationInterface::create | ( | bool | canRetryCaptcha | ) |
| inlinestatic

template<typename BaseChannelCaptchaAuthenticationInterfaceSubclass >

static SharedPtr<BaseChannelCaptchaAuthenticationInterfaceSubclass> Tp::BaseChannelCaptchaAuthenticationInterface::create | ( | bool | canRetryCaptcha | ) |
| inlinestatic

QVariantMap Tp::BaseChannelCaptchaAuthenticationInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseChannelCaptchaAuthenticationInterface::setGetCaptchasCallback | ( | const GetCaptchasCallback & | cb | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setGetCaptchaDataCallback | ( | const GetCaptchaDataCallback & | cb | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setAnswerCaptchasCallback | ( | const AnswerCaptchasCallback & | cb | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setCancelCaptchaCallback | ( | const CancelCaptchaCallback & | cb | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setCaptchaStatus | ( | uint | status | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setCaptchaError | ( | const QString & | busName | ) |

void Tp::BaseChannelCaptchaAuthenticationInterface::setCaptchaErrorDetails | ( | const QVariantMap & | error | ) |